package com.njyunzhi.admin.controller;


import cn.dev33.satoken.util.SaResult;
import com.njyunzhi.common.util.FileUtil;
import com.njyunzhi.common.util.aliyun.oss.OssUtil;
import com.njyunzhi.framework.accesslimit.AccessLimit;
import com.njyunzhi.repository.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;

@Api(tags = "部分通用接口")
@RestController
@RequestMapping("/")
public class CommController extends BaseController {

    @Autowired
    FileUtil fileUtil;

    @Autowired
    OssUtil ossUtil;


    @AccessLimit()
    @ApiOperation("上传文件")
    @GetMapping("/{client}/upload/policy")
    public SaResult getUploadPolicy() throws IOException {

        OssUtil.PolicyResponse policy = ossUtil.getPolicy();

        return SaResult.data(policy);
    }


}
