package com.njyunzhi.admin.service;

import com.njyunzhi.repository.IBaseService;
import com.njyunzhi.repository.entity.SysRoleResource;

import java.util.List;

/**
 * 角色资源;(sys_role_resource)表服务接口
 *
 * @author : http://njyunzhi.com
 * @date : 2023-10-25
 */
public interface SysRoleResourceService extends IBaseService<SysRoleResource> {


    void mergeData(String roleId, List<SysRoleResource> roleResourcesList);

    SysRoleResource getByRoleAndResource(String roleId, String resourceId, String resourceType);

    List<SysRoleResource> getListByRole(String roleId);
}