package com.njyunzhi.admin.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.repository.IBaseService;
import com.njyunzhi.repository.entity.SysRole;
import com.njyunzhi.repository.entity.SysUser;

import java.util.List;

/**
 * 系统角色;(sys_role)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2023-10-25
 */
public interface SysRoleService extends IBaseService<SysRole> {

    List<SysRole> getByUser(String userId);

    IPage<SysRole> getPageBy(IPage<SysRole> pg, SysUser sysUser);
 }