package com.njyunzhi.common.util.aliyun;

import com.njyunzhi.common.util.MyPropertySourceFactory;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

@Data
@PropertySource(value = {"aliyun.yml"}, factory = MyPropertySourceFactory.class)
@Configuration
public class AliyunConfig {

    @Value("${enable}")
    Boolean enable;

    @Value("${accessKeyId}")
    String accessKeyId;

    @Value("${accessKeySecret}")
    String accessKeySecret;
}
