package com.njyunzhi.common.util.aliyun.oss;

import com.njyunzhi.common.util.MyPropertySourceFactory;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Data
@Component
@PropertySource(value = {"aliyun.yml"}, factory = MyPropertySourceFactory.class)
@ConfigurationProperties(prefix = "oss")
public class OssConfig {
    Boolean enable;
    String endpoint;
    String bucket;
    String host;
    String callbackUrL;
    String customDomain;
    Integer expireTime;
}
