package com.njyunzhi.framework.datascope;

import cn.dev33.satoken.stp.StpUtil;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class DataScopeInterceptor implements HandlerInterceptor {
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {

        // 只有登录成功才可以
        if (StpUtil.isLogin()) {
            // TODO
            request.setAttribute("dataScopeSqlHandler", new SqlHandlerImpl());
        }

        return true;
    }
}
