package com.njyunzhi.framework.datascope;

import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;
import java.util.Objects;

public class DataScopeUtil {
    public static ISQLHandler getSQLHandler() {
        HttpServletRequest request = ((ServletRequestAttributes) Objects.requireNonNull(RequestContextHolder.getRequestAttributes())).getRequest();
        return (ISQLHandler) request.getAttribute("dataScopeSqlHandler");
    }

    public static String getSQL1(String resourceCode, String tableAlias) {
        return getSQLHandler().getSQL1(resourceCode, tableAlias);
    }

    public static String getSQL2(String resourceCode, String tableAlias) {
        return getSQLHandler().getSQL2(resourceCode, tableAlias);
    }

    public static String getSQL3(String resourceCode, String tableAlias) {
        return getSQLHandler().getSQL3(resourceCode, tableAlias);
    }
}
