package com.njyunzhi;

import com.njyunzhi.framework.util.SpringContextUtil;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@EnableAsync
@EnableScheduling
@EnableTransactionManagement
@EnableConfigurationProperties
@MapperScan({"com.njyunzhi.**.mapper"})
@SpringBootApplication(scanBasePackages = {"com.njyunzhi"})
@ComponentScan
public class YzCrmPlatformApplication {

    public static void main(String[] args) {
        ConfigurableApplicationContext ac = SpringApplication.run(YzCrmPlatformApplication.class, args);
        SpringContextUtil.setAc(ac);
    }
}
