package com.njyunzhi.repository.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

 /**
 * 角色资源;
 * @author : http://www.chiner.pro
 * @date : 2023-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "角色资源",description = "")
@TableName("sys_role_resource")
public class SysRoleResource implements Serializable,Cloneable{
    
    @ApiModelProperty(name = "id",notes = "")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id ;
    
    @ApiModelProperty(name = "角色ID",notes = "")
    private String roleId ;
    
    @ApiModelProperty(name = "资源ID",notes = "")
    private String resourceId ;
    
    @ApiModelProperty(name = "资源类型",notes = "")
    private String resourceType ;

}