package com.njyunzhi.repository.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

 /**
 * 人员表;
 * @author : http://www.chiner.pro
 * @date : 2024-2-26
 */
@ApiModel(value = "人员表",description = "")
@TableName("ta_person")
public class TaPerson implements Serializable,Cloneable{
    /** 人员ID */
    @ApiModelProperty(name = "人员ID",notes = "")
    @TableId
    private String personId ;
    /** 人员名称 */
    @ApiModelProperty(name = "人员名称",notes = "")
    private String personName ;
    /** 头像 */
    @ApiModelProperty(name = "头像",notes = "")
    private String avatar ;
    /** 手机 */
    @ApiModelProperty(name = "手机",notes = "")
    private String phone ;
    /** 邮箱 */
    @ApiModelProperty(name = "邮箱",notes = "")
    private String email ;
    /** 用户openid */
    @ApiModelProperty(name = "用户openid",notes = "")
    private String openId ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    private String createdBy ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date createdAt ;
    /** 更新人 */
    @ApiModelProperty(name = "更新人",notes = "")
    private String updatedBy ;
    /** 更新时间 */
    @ApiModelProperty(name = "更新时间",notes = "")
    private Date updatedAt ;
    /** 删除标志;1删除,0正常 */
    @ApiModelProperty(name = "删除标志",notes = "1删除,0正常")
    private Integer deleted ;

    /** 人员ID */
    public String getPersonId(){
        return this.personId;
    }
    /** 人员ID */
    public void setPersonId(String personId){
        this.personId=personId;
    }
    /** 人员名称 */
    public String getPersonName(){
        return this.personName;
    }
    /** 人员名称 */
    public void setPersonName(String personName){
        this.personName=personName;
    }
    /** 头像 */
    public String getAvatar(){
        return this.avatar;
    }
    /** 头像 */
    public void setAvatar(String avatar){
        this.avatar=avatar;
    }
    /** 手机 */
    public String getPhone(){
        return this.phone;
    }
    /** 手机 */
    public void setPhone(String phone){
        this.phone=phone;
    }
    /** 邮箱 */
    public String getEmail(){
        return this.email;
    }
    /** 邮箱 */
    public void setEmail(String email){
        this.email=email;
    }
    /** 用户openid */
    public String getOpenId(){
        return this.openId;
    }
    /** 用户openid */
    public void setOpenId(String openId){
        this.openId=openId;
    }
    /** 创建人 */
    public String getCreatedBy(){
        return this.createdBy;
    }
    /** 创建人 */
    public void setCreatedBy(String createdBy){
        this.createdBy=createdBy;
    }
    /** 创建时间 */
    public Date getCreatedAt(){
        return this.createdAt;
    }
    /** 创建时间 */
    public void setCreatedAt(Date createdAt){
        this.createdAt=createdAt;
    }
    /** 更新人 */
    public String getUpdatedBy(){
        return this.updatedBy;
    }
    /** 更新人 */
    public void setUpdatedBy(String updatedBy){
        this.updatedBy=updatedBy;
    }
    /** 更新时间 */
    public Date getUpdatedAt(){
        return this.updatedAt;
    }
    /** 更新时间 */
    public void setUpdatedAt(Date updatedAt){
        this.updatedAt=updatedAt;
    }
    /** 删除标志;1删除,0正常 */
    public Integer getDeleted(){
        return this.deleted;
    }
    /** 删除标志;1删除,0正常 */
    public void setDeleted(Integer deleted){
        this.deleted=deleted;
    }
}