package com.njyunzhi.repository.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.repository.entity.FxTenant;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

 /**
 * 租户表;(fx_tenant)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2023-10-25
 */
@Mapper
public interface FxTenantMapper  extends BaseMapper<FxTenant>{

  void removeSysFxById(@Param("id") String id);

     IPage<FxTenant> getPageByMember(IPage<FxTenant> pg, @Param("personId") String personId);
 }