package com.njyunzhi.repository.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njyunzhi.repository.entity.SysDept;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 部门表;(sys_dept)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2023-10-25
 */
@Mapper
public interface SysDeptMapper extends BaseMapper<SysDept> {

    List<SysDept> getListByUser(@Param("userId") String userId);

    String getMaxCode(@Param("parentId") String parentId);

    long changeOrgCode(@Param("from") String from, @Param("to") String to);

     void updateDept(@Param("tenantId") String tenantId, @Param("tenantName")String tenantName);
}