package com.njyunzhi.admin.service;

import com.njyunzhi.admin.dto.ChangePasswordDTO;
import com.njyunzhi.admin.dto.LoginDTO;
import com.njyunzhi.admin.dto.ResetPasswordDTO;
import com.njyunzhi.repository.IBaseService;
import com.njyunzhi.repository.entity.SysLogin;
import com.njyunzhi.repository.entity.SysUser;

/**
 * 登录信息表;(sys_login)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2023-10-25
 */
public interface SysLoginService extends IBaseService<SysLogin> {

     SysUser login(LoginDTO loginParm,String tenantId) throws Exception;

    boolean changePassword(SysUser sysUser, ChangePasswordDTO param) throws Exception;

    void resetPassword(SysUser sysUser, ResetPasswordDTO newPassword);
}