package com.njyunzhi.admin.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.repository.IBaseService;
import com.njyunzhi.repository.entity.FxTenant;
import com.njyunzhi.repository.entity.SysMenu;
import com.njyunzhi.repository.entity.SysUser;

import java.util.List;

/**
 * 用户管理;(sys_user)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2023-10-25
 */
public interface SysUserService extends IBaseService<SysUser> {

    void mergeData(SysUser sysUser) throws Exception;

    List<SysMenu> getMneusByUser(SysUser sysUser);

    List<SysUser> getTaPerson(String phone);

    SysUser getSysuser(String phone, String tenantId);

    SysUser getSysuserTan(String tenantId);

    IPage<FxTenant>  getTenantList(IPage<FxTenant> pg, String phone ,QueryWrapper<FxTenant> queryWrapper);

}