package com.njyunzhi.platform.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
@ApiModel("重置密码")
public class ResetPasswordDTO {

    @ApiModelProperty("用户ID")
    String userId;

    @NotBlank(message = "密码不能为空")
    @ApiModelProperty("用户新密码, MD5加密数据")
    String password;
}
