package com.njyunzhi.platform.service;

import com.njyunzhi.platform.dto.ChangePasswordDTO;
import com.njyunzhi.platform.dto.LoginDTO;
import com.njyunzhi.repository.IBaseService;
import com.njyunzhi.repository.entity.FxLogin;
import com.njyunzhi.repository.entity.FxUser;

/**
 * 登录信息表;(fx_login)表服务接口
 * @author : http://njyunzhi.com
 * @date : 2023-10-25
 */
public interface FxLoginService extends IBaseService<FxLogin> {

     FxUser login(LoginDTO loginParm) throws Exception;

    boolean changePassword(FxUser fxUser, ChangePasswordDTO param) throws Exception;
}