package com.njyunzhi.platform.service.framework;


import com.njyunzhi.framework.service.IUserService;
import com.njyunzhi.platform.service.FxUserService;
import com.njyunzhi.repository.entity.FxUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Component;

@Component
public class UserService implements IUserService {

    @Autowired
    @Lazy
    FxUserService fxUserService;

    @Override
    public Object getUserBy(Object loginId) {
        if (null == loginId) return null;

        // loginId 就是 userId
        return fxUserService.getById((String) loginId);
    }

    @Override
    public String getTenantIdBy(Object user) {
        return null;
    }

    @Override
    public String getUserIdBy(Object user) {
        if (null == user) return null;

        FxUser fxUser = (FxUser) user;

        return fxUser.getUserId();
    }

    @Override
    public String getUserNameBy(Object user) {
        if (null == user) return null;

        FxUser fxUser = (FxUser) user;

        return fxUser.getUserName();
    }
}
