package com.njyunzhi.repository.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.njyunzhi.repository.entity.TaPerson;

 /**
 * 人员表;(ta_person)表数据库访问层
 * @author : http://www.chiner.pro
 * @date : 2024-2-26
 */
@Mapper
public interface TaPersonMapper  extends BaseMapper<TaPerson>{
    /** 
     * 分页查询指定行数据
     *
     * @param page 分页参数
     * @param wrapper 动态查询条件
     * @return 分页对象列表
     */
    IPage<TaPerson> selectByPage(IPage<TaPerson> page , @Param(Constants.WRAPPER) Wrapper<TaPerson> wrapper);
}