package com.njyunzhi.repository.repo;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njyunzhi.repository.entity.SysMenu;
import com.njyunzhi.repository.entity.SysUser;
import com.njyunzhi.repository.mapper.SysMenuMapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class SysMenuRepo extends ServiceImpl<SysMenuMapper, SysMenu> implements IService<SysMenu> {

    public List<SysMenu> getMenusByUser(SysUser sysUser) {
        if (sysUser.getIsAdmin() == 1) {
            return baseMapper.selectAll();
        }

        return baseMapper.getByUser(sysUser.getUserId());
    }
}
